from django.conf.urls.defaults import *
from django.conf import settings
from django.views.generic.simple import direct_to_template
from django.contrib.gis.maps.google.gmap import GoogleMap

urlpatterns = patterns('',
    # Example:
    (r'^$', 'django.views.generic.simple.direct_to_template', {'template': 'base.html'}),
    (r'^next/$', 'django.views.generic.simple.direct_to_template', {
            'template': 'next.html', 'extra_context': {
                'googlekey': settings.GOOGLE_KEY}}),
)

if settings.DEBUG:
    urlpatterns += patterns('',
        (r'^site_media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': settings.MEDIA_ROOT}),
    )
