var map;

function createMarker(input) {
    var marker = new GMarker(input.point);

    GEvent.addListener(marker, "click", function() {
	    marker.openInfoWindowHtml( input.info );
	});

    var divMarker = new Element('div', {'class': 'marker'});
    divMarker.set('text', input.info);
    stationList = $('container').getElementById('stationlist');
    divMarker.inject(stationList);
    
    return marker;
}

function parseJson (doc) {
    var jsonData = eval("(" + doc + ")");
    for (var i = 0; i < jsonData.markers.length; i++) {
	var marker = createMarker(jsonData.markers[i]);
	map.addOverlay(marker);
    }
}

window.addEvent('domready', function() {
	if (GBrowserIsCompatible()) {
	    map = new GMap2(document.getElementById("map_canvas"));
	    map.setCenter(new GLatLng(63.105423, 14.441013), 13);
	    map.setUIToDefault();
	}
	
	GDownloadUrl("/site_media/markers.json", function(data, responseCode) { parseJson(data); });
    });
